#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# EventTarget Class

Defined in: `src/pixi/utils/EventTarget.js:6`
Module: PIXI

Adds event emitter functionality to a class

- Index
- Methods

## Item Index

### Methods

- autoDetectRenderer static

## Methods

### `autoDetectRenderer`

(

- `width`
- `height`
- `view`
- `transparent=false`
- `antialias=false`

)
static

Defined in `src/pixi/utils/Detector.js:5`

This helper function will automatically detect which renderer you should be using. WebGL is the preferred renderer as it is a lot faster. If webGL is not supported by the browser then this function will return a canvas renderer

#### Parameters:

- `width` Number

  the width of the renderers view

- `height` Number

  the height of the renderers view

- `view` Canvas

  the canvas to use as a view, optional

- `transparent=false` Boolean

  the transparency of the render view, default false

- `antialias=false` Boolean

  sets antialias (only applicable in webGL chrome at the moment)

  antialias